<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/sessionInfo.jsp"%>
<%
    //获取提交的参数
    String sOPERATOR = SzConvert.toSpaceStr(request.getParameter("OPERATOR"));    
    String sType = SzConvert.toZeroStr(request.getParameter("type"));
    String sKEY = SzConvert.toZeroStr(request.getParameter("KEY"));
    String sPKEY = "0";
    String sUrl = "update.jsp";
    if (sOPERATOR.equals("delete")) {
      sPKEY = "0";
      sKEY = sKEY;
      sUrl = "delete.jsp";
    } else if (sOPERATOR.equals("add")) {      
      sPKEY = sKEY;
      sKEY = "0";
      sUrl = "update.jsp";
    } else if (sOPERATOR.equals("update")) {
      sPKEY = "0";
      sKEY = sKEY;   
      sUrl = "update.jsp";      
    } 
%>
<form name="formHidden" method="post" action="#">
  <input type="hidden" name="OPERATOR" value="<%=sOPERATOR%>">
  <input type="hidden" name="type" value="<%=sType%>">
  <input type="hidden" name="KEY" value="<%=sKEY%>">
  <input type="hidden" name="PKEY" value="<%=sPKEY%>">  
  <input type="hidden" name="type" value="<%=sType%>">  
</form>
<%
    StringBuffer sb = new StringBuffer(sUrl);
    sb.append("?OPERATOR=");
    sb.append(sOPERATOR);
    sb.append("&type=");
    sb.append(sType);
    sb.append("&PKEY=");
    sb.append(sPKEY);
    sb.append("&KEY=");
    sb.append( sKEY);
    sUrl = sb.toString();
    sb = null;
    //out.println(SzPageHelp.jsGoUrl(sUrl));
%>
<script language="javascript">
  //var oWindow = window.dialogArguments;
  document.location.target = window;
  document.location.href= "<%=sUrl%>";
</script>
